﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Sample._Default" %>

<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    <ej:Schedule ID="Schedule1" ClientIDMode="Static" Height="525px" Orientation="Horizontal" CurrentView="Month" Width="100%" CurrentDate="5/5/2014" runat="server" Create="onCreate" ActionComplete="onComplete" DataSourceID="SqlDataSource1">
        <AppointmentSettings Id="Id" Subject="Subject" AllDay="AllDay" StartTime="StartTime" EndTime="EndTime" Recurrence="Recurrence" RecurrenceRule="RecurrenceRule" />
    </ej:Schedule>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:DefaultConnection %>" SelectCommand="SELECT * FROM [Appointment]"></asp:SqlDataSource>
<script>
    function onCreate() {
        var obj = $("#Schedule1").data("ejSchedule");
        if (obj.currentView() == "month") {
            Date.prototype._getWeekNumber = function () {
                var weekNo = Math.ceil((((this - new Date(this.getFullYear(), 0, 1)) / 86400000) + new Date(this.getFullYear(), 0, 1).getDay() + 1) / 7);
                return (weekNo > 52) ? weekNo - 52 : weekNo;
            };
            var result = $.grep($(".cusRow"), function (value) { if ($(value).hasClass("cusRow")) { return value; } });
            if (result.length != 0) $(".cusRow").remove();
            var date = new Date(obj.currentDate());
            var weekFirst = new Date(date.getFullYear(), date.getMonth(), 1);
            var $tr = "<tr class='cusRow'>";
            Date.prototype._currentWeekDates = function (firstdayofweek) {
                var dayDiffer = this.getDay() - firstdayofweek,
                    start = new Date(this.getFullYear(), this.getMonth(), this.getDate() + (((dayDiffer < 0) ? dayDiffer + 7 : dayDiffer) * -1)),
                    end = new Date(start.getFullYear(), start.getMonth(), start.getDate() + 6);
                return { start: new Date(start), end: new Date(end) };
            };
            for (var a = 0, len = obj._dateRender.length / 7 ; a < len; a++) {
                var weekDate = weekFirst._currentWeekDates(obj._firstdayofweek);
                var weekNumber = weekDate.start._getWeekNumber();
                var count = 0, total = ((weekDate.end - weekDate.start) / (1000 * 60 * 60 * 24)) + 1;
                for (b = 0; b < total; b++) {
                    if (obj.monthDays.indexOf(weekDate.start.getTime() + (1000 * 60 * 60 * 24 * b)) != -1) count++;
                }
                $tr += "<td colspan='" + count + "' style='padding:5px;border-left:1px solid #c3c3c3;border-bottom:1px solid #c3c3c3;text-align: center;'>" + weekNumber + "</td>";
                weekFirst = new Date(weekDate.end.getTime() + (1000 * 60 * 60 * 24));
            }
            $tr += "</tr>";
            $($tr).insertBefore(obj.element.find(".e-headerdays").find("tr:first"));
            obj.element.find(".cusRow").children().first().css("border-left", "none");
            obj.refreshScroller();
        }
    }
    function onComplete(args) {
        if (args.requestType == "viewNavigate" || args.requestType == "dateNavigate")
            onCreate();
    }
</script>
     <style type="text/css">
        .e-schedule .e-horizontalmonthtimecellsht {
            height: 91px;
        }
    </style>
</asp:Content>
